# Class TabDelimitedImporter

java.lang.Object
jebl.evolution.io.TabDelimitedImporter

All Implemented Interfaces:
  `DistanceMatrixImporter`

public class TabDelimitedImporter extends Object implements DistanceMatrixImporter

Version:
  $Id: TabDelimitedImporter.java 185 2006-01-23 23:03:18Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Nested Class Summary

### Nested classes/interfaces inherited from interface DistanceMatrixImporter

`DistanceMatrixImporter.Triangle`

## Constructor Summary

Constructors
Constructor
Description
`TabDelimitedImporter(Reader reader, DistanceMatrixImporter.Triangle triangle, boolean diagonal, boolean rowLabels, boolean columnLabels)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`List<DistanceMatrix>`
`importDistanceMatrices()`
importDistances.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabDelimitedImporter

public TabDelimitedImporter(Reader reader, DistanceMatrixImporter.Triangle triangle, boolean diagonal, boolean rowLabels, boolean columnLabels)
Constructor

## Method Details

### importDistanceMatrices

public List<DistanceMatrix> importDistanceMatrices() throws IOException, ImportException
importDistances.

Specified by:
  `importDistanceMatrices` in interface `DistanceMatrixImporter`
Throws:
  `IOException`
  `ImportException`